var _excluded = ["title", "editable", "dataIndex", "field_type", "record", "handleSave", "options"];
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useMemo } from "react";
var Show = function Show(props) {
  var title = props.title,
    editable = props.editable,
    dataIndex = props.dataIndex,
    field_type = props.field_type,
    record = props.record,
    handleSave = props.handleSave,
    options = props.options,
    restProps = _objectWithoutProperties(props, _excluded);
  var text = useMemo(function () {
    return record[dataIndex];
  }, [record, dataIndex]);
  var showValue = useMemo(function () {
    var optionDetail = options === null || options === void 0 ? void 0 : options.find(function (item) {
      return item.value === text;
    });
    return (optionDetail === null || optionDetail === void 0 ? void 0 : optionDetail.label) || text;
  }, [options, text]);
  return /*#__PURE__*/React.createElement("div", {
    className: ""
  }, showValue);
};
export default Show;